Lot of problems with 21.04 Ubuntu

6 posts / 0 new
Last post
eb3dva
eb3dva's picture
Lot of problems with 21.04 Ubuntu

Hi, I have been using CQRLOG for years and have never had too many problems with the software.
If we discount that the rigctl sometimes gets fried, of course.
But I updated Ubuntu a few days ago, and now everything is in trouble.
I tried to reinstall from scratch the version that carries UBUNTU but everything works erroneously, very slow. And all too often it gives me bbdd failure warnings.

One of the things he does now, is that he is very slow to react, even when writing the callsigns. It just happens to me with the cqrlog.

I have the configuration that connects me to the radio via FLRIG, and it also happens to me that when I select a station in the cluster, it takes about 2 seconds to pass the command to FLRIG. That before was immediate.

I tried to install the latest version of this website, but that doesn't work either. It asks me for obsolete packages in the version of Ubuntu I have now.
Specifically, libhamlib2 and libmariadbclient-dev, which are no longer available.
The truth is that it is quite desperate, because now you do not work without logging software, and in Linux I think it is the best.

Has it happened to anyone else?

I use this setup...
http://rdp.cat/contingut/2021/01/13/configuracio-de-control-icom-ic-7300...

oh1kh
Lot of problems with 21.04 Ubuntu

HI!
Could it be that your Ubuntu now defaults to GTK3 an because cqrlog needs GTK2 it uses some kind of legacy routines to run the program.

Need of old obsolete packages is another pain. It need a bit more work to install cqrlog from binary (the last option at download page) but then you are free to select hamlib version and also MariaDB (as libmariadbclient is now built in).

You could first backup your ~/.config/cqrlog folder with all files and folders. Then remove cqrlog package installation (and perhaps cqrlog-data package too, if installed).

Then I think this message for Kubuntu works also for Ubuntu as well https://www.cqrlog.com/node/3160

After getting cqrlog installed that way it has no more dependencies to specific hamlib and you can install the latest (4.2 or higher) It is important as there has been so many fixes and improvements in hamlib code lately,

if cqrlog is slow still you can try to install QT5 version by installing package qt5pas and after that visit my upgrade page https://github.com/OH1KH/cqrlog/tree/loc_testing/compiled load and start script from newupdate.zip and when it is running choose QT5 version from upgrade menu.

Removing cqrlog package installation and make install manually should not affect your logs and settings (but backup is always good practice when doing things like this)

--
Saku
OH1KH

eb3dva
eb3dva's picture
Yes, Now I run the QT5

Yes, Now I run the QT5 version and all is OK, I think.
I need to rebuid my database from ADIF file beacause a lot of erros I've see when I try to start it.
I make a export ini file from old configuration, and, in new database, import ini, and the last ADI exported.
Finally, run download from LOTW, and eQSL to add all confirmations.
Run fine, quick, and connect good to FLRIG.

File: 

oh1kh
Lot of problems with 21.04 Ubuntu

Hi !

Fine !
Sounds good now. Also picture looks nice.

Remember that Grayline map has bug in QT5 version and you can not connect it to RBN. Instead you can open NewQSO/WIndow/RBN monitor and connect it. After that minimize RBN monitor window and select "Link to RBNmonitor" from Grayline map up right corner.
Then Grayline map will look RBN monitor to find the followed call (usuall your own) and make color spots to map.

With GTK2 version this works normally direct from Grayline, but QT5 needs this kind of workaround.

--
Saku
OH1KH

eb3dva
eb3dva's picture
Well, now sometimes I see

Well, now sometimes I see this error: Access Violation, press ok or abort.
I don't know if is when the cqrlog runs for a long time, but sometimes appear when just start it.

My bbdd is running Mariadb

File: 

oh1kh
Lot of problems with 21.04 Ubuntu

HI !
If you have now 2.5.2.(106) That is my devel version I can tell I see those sometimes too. Usually just OK and it goes on.

You can also compile official source to QT5, I have written some messages about it to this forum.
Then instead of command "make" you should use "make cqrlog_qt5" command

With official version I have noticed less Access violation messages.

--
Saku
OH1KH